[Genabel-commits] r997 - in pkg/ProbABEL: src tests tests/verified_results

noreply at r-forge.r-project.org noreply at r-forge.r-project.org
Sat Nov 3 15:07:48 CET 2012


Author: lckarssen
Date: 2012-11-03 15:07:48 +0100 (Sat, 03 Nov 2012)
New Revision: 997

Added:
   pkg/ProbABEL/tests/verified_results/height_ngp2_2df.out.txt
   pkg/ProbABEL/tests/verified_results/height_ngp2_add.out.txt
   pkg/ProbABEL/tests/verified_results/height_ngp2_domin.out.txt
   pkg/ProbABEL/tests/verified_results/height_ngp2_over_domin.out.txt
   pkg/ProbABEL/tests/verified_results/height_ngp2_recess.out.txt
Removed:
   pkg/ProbABEL/tests/verified_results/height_2df.out.txt
Modified:
   pkg/ProbABEL/src/probabel.pl
   pkg/ProbABEL/tests/Makefile.am
   pkg/ProbABEL/tests/check_probabel.pl_chunk.sh
Log:
ProbABEL: 
- Improved checks of probabel.pl with output of probabilities
- probabel.pl now checks whether the option list passed on the command line contains the -o option. Instead of renaming the whole output (which went wrong with the chunked files) it now considers the argument to -o as part of the output file name.
- Cleaned up the chunk test script by using functions. 



Modified: pkg/ProbABEL/src/probabel.pl
===================================================================
--- pkg/ProbABEL/src/probabel.pl	2012-11-01 21:38:51 UTC (rev 996)
+++ pkg/ProbABEL/src/probabel.pl	2012-11-03 14:07:48 UTC (rev 997)
@@ -19,7 +19,6 @@
 my $_recess_file_postfix = "_recess.out.txt";
 my $_over_domin_file_postfix = "_over_domin.out.txt";
 
-
 # Separators in the config file
 my $separator_cfg = ",";
 my $chr_replacement = "_._chr_._";
@@ -28,8 +27,8 @@
 # Set file locations
 my $base_path = "./";
 my @anprog = ($base_path . "palinear",
-	   $base_path . "palogist",
-	   $base_path . "pacoxph");
+	      $base_path . "palogist",
+	      $base_path . "pacoxph");
 my $config = "probabel_config.cfg";
 
 # Define the regression methods that are implemented
@@ -159,21 +158,34 @@
 
 
 my $phename = $ARGV[5];
+my $outfile_prefix = $phename;
 my $keys="";
 for (my $i=6; $i<@ARGV; $i++) {
-    $keys = $keys.$ARGV[$i]." ";
+    if ($ARGV[$i] eq "-o")
+    {
+	# Apparently the user wants to change the output file name
+	# Let's interpret this as an addition to our own prefix
+	$outfile_prefix = $outfile_prefix.$ARGV[$i+1];
+
+	# Skip the next argument (supposedly the addition to the
+	# output file name).
+	$i++;
+    }
+    else
+    {
+	$keys = $keys.$ARGV[$i]." ";
+    }
 }
 chop($keys);
 
-
-my $model_option_num=0;
+my $model_option_num = 0;
 my $mldose_prob;
 if($model eq "--additive") {
     $mldose_prob = $mldose;
-    $model_option_num=1;
+    $model_option_num = 1;
 } elsif($model eq "--allmodels") {
     $mldose_prob = $mlprob;
-    $model_option_num=2;
+    $model_option_num = 2;
 } else {
     die "error: Wrong key for model. You can use \"--additive\" or \"--allmodels\" only\n";
 }
@@ -208,7 +220,7 @@
 	my $head="--no-head";
     }
 
-    system "$prog -p $phename.PHE --ngpreds $model_option_num -i $mlinfo_arg -d $mldose_arg -m $legend_arg --chrom $chr -o $phename $head $keys";
+    system "$prog -p $phename.PHE --ngpreds $model_option_num -i $mlinfo_arg -d $mldose_arg -m $legend_arg --chrom $chr -o $outfile_prefix $head $keys";
 
     exit;
 }
@@ -245,53 +257,53 @@
 	$legend_arg =~ s/$chr_replacement/$chr/g;
 	$legend_arg =~ s/$chunk_replacement/$chunk/g;
 
-	system "$prog -p $phename.PHE --ngpreds $model_option_num -i $mlinfo_arg -d $mldose_arg -m $legend_arg --chrom $chr -o $phename.chunk$chunk.chr$chr $head $keys";
+	system "$prog -p $phename.PHE --ngpreds $model_option_num -i $mlinfo_arg -d $mldose_arg -m $legend_arg --chrom $chr -o $outfile_prefix.chunk$chunk.chr$chr $head $keys";
 
 	if($model_option_num==2)
 	{
-	    `cat $phename.chunk${chunk}.chr${chr}$_2df_file_postfix >> ${phename}.${chr}${_2df_file_postfix}`;
-	    `rm $phename.chunk${chunk}.chr${chr}$_2df_file_postfix`;
+	    `cat $outfile_prefix.chunk${chunk}.chr${chr}$_2df_file_postfix >> ${outfile_prefix}.${chr}${_2df_file_postfix}`;
+	    `rm $outfile_prefix.chunk${chunk}.chr${chr}$_2df_file_postfix`;
 
-	    `cat $phename.chunk${chunk}.chr${chr}$_add_file_postfix >> ${phename}.${chr}${_add_file_postfix}`;
-	    `rm $phename.chunk${chunk}.chr${chr}$_add_file_postfix`;
+	    `cat $outfile_prefix.chunk${chunk}.chr${chr}$_add_file_postfix >> ${outfile_prefix}.${chr}${_add_file_postfix}`;
+	    `rm $outfile_prefix.chunk${chunk}.chr${chr}$_add_file_postfix`;
 
-	    `cat $phename.chunk${chunk}.chr${chr}$_domin_file_postfix >> ${phename}.${chr}${_domin_file_postfix}`;
-	    `rm $phename.chunk${chunk}.chr${chr}$_domin_file_postfix`;
+	    `cat $outfile_prefix.chunk${chunk}.chr${chr}$_domin_file_postfix >> ${outfile_prefix}.${chr}${_domin_file_postfix}`;
+	    `rm $outfile_prefix.chunk${chunk}.chr${chr}$_domin_file_postfix`;
 
-	    `cat $phename.chunk${chunk}.chr${chr}$_recess_file_postfix >> ${phename}.${chr}${_recess_file_postfix}`;
-	    `rm $phename.chunk${chunk}.chr${chr}$_recess_file_postfix`;
+	    `cat $outfile_prefix.chunk${chunk}.chr${chr}$_recess_file_postfix >> ${outfile_prefix}.${chr}${_recess_file_postfix}`;
+	    `rm $outfile_prefix.chunk${chunk}.chr${chr}$_recess_file_postfix`;
 
-	    `cat $phename.chunk${chunk}.chr${chr}$_over_domin_file_postfix >> ${phename}.${chr}${_over_domin_file_postfix}`;
-	    `rm $phename.chunk${chunk}.chr${chr}$_over_domin_file_postfix`;
+	    `cat $outfile_prefix.chunk${chunk}.chr${chr}$_over_domin_file_postfix >> ${outfile_prefix}.${chr}${_over_domin_file_postfix}`;
+	    `rm $outfile_prefix.chunk${chunk}.chr${chr}$_over_domin_file_postfix`;
 	} else {
-	    `cat $phename.chunk${chunk}.chr${chr}$_add_file_postfix >> $phename.${chr}${_add_file_postfix}`;
-	    print "cat $phename.chunk${chunk}.chr${chr}$_add_file_postfix >> $phename.chr${chr}${_add_file_postfix}\n";
-	    `rm $phename.chunk${chunk}.chr${chr}$_add_file_postfix`;
-	    print "rm $phename.chunk${chunk}.chr${chr}$_add_file_postfix\n";
+	    `cat $outfile_prefix.chunk${chunk}.chr${chr}$_add_file_postfix >> $outfile_prefix.${chr}${_add_file_postfix}`;
+	    print "cat $outfile_prefix.chunk${chunk}.chr${chr}$_add_file_postfix >> $outfile_prefix.chr${chr}${_add_file_postfix}\n";
+	    `rm $outfile_prefix.chunk${chunk}.chr${chr}$_add_file_postfix`;
+	    print "rm $outfile_prefix.chunk${chunk}.chr${chr}$_add_file_postfix\n";
 	}
     }
 
     if($model_option_num==2)
     {
-	`cat $phename.${chr}$_2df_file_postfix >> ${phename}${_2df_file_postfix}`;
-	`rm $phename.${chr}$_2df_file_postfix`;
+	`cat $outfile_prefix.${chr}$_2df_file_postfix >> ${outfile_prefix}${_2df_file_postfix}`;
+	`rm $outfile_prefix.${chr}$_2df_file_postfix`;
 
-	`cat $phename.${chr}$_add_file_postfix >> ${phename}${_add_file_postfix}`;
-	`rm $phename.${chr}$_add_file_postfix`;
+	`cat $outfile_prefix.${chr}$_add_file_postfix >> ${outfile_prefix}${_add_file_postfix}`;
+	`rm $outfile_prefix.${chr}$_add_file_postfix`;
 
-	`cat $phename.${chr}$_domin_file_postfix >> ${phename}${_domin_file_postfix}`;
-	`rm $phename.${chr}$_domin_file_postfix`;
+	`cat $outfile_prefix.${chr}$_domin_file_postfix >> ${outfile_prefix}${_domin_file_postfix}`;
+	`rm $outfile_prefix.${chr}$_domin_file_postfix`;
 
-	`cat $phename.${chr}$_recess_file_postfix >> ${phename}${_recess_file_postfix}`;
-	`rm $phename.${chr}$_recess_file_postfix`;
+	`cat $outfile_prefix.${chr}$_recess_file_postfix >> ${outfile_prefix}${_recess_file_postfix}`;
+	`rm $outfile_prefix.${chr}$_recess_file_postfix`;
 
-	`cat $phename.${chr}$_over_domin_file_postfix >> ${phename}${_over_domin_file_postfix}`;
-	`rm $phename.${chr}$_over_domin_file_postfix`;
+	`cat $outfile_prefix.${chr}$_over_domin_file_postfix >> ${outfile_prefix}${_over_domin_file_postfix}`;
+	`rm $outfile_prefix.${chr}$_over_domin_file_postfix`;
     } else {
-	`cat $phename.${chr}$_add_file_postfix >> $phename${_add_file_postfix}`;
-	print "cat $phename.${chr}$_add_file_postfix >> $phename${_add_file_postfix}\n";
-	`rm $phename.${chr}$_add_file_postfix`;
-	print "rm $phename.${chr}$_add_file_postfix\n";
+	`cat $outfile_prefix.${chr}$_add_file_postfix >> $outfile_prefix${_add_file_postfix}`;
+	print "cat $outfile_prefix.${chr}$_add_file_postfix >> $outfile_prefix${_add_file_postfix}\n";
+	`rm $outfile_prefix.${chr}$_add_file_postfix`;
+	print "rm $outfile_prefix.${chr}$_add_file_postfix\n";
     }
 }
 

Modified: pkg/ProbABEL/tests/Makefile.am
===================================================================
--- pkg/ProbABEL/tests/Makefile.am	2012-11-01 21:38:51 UTC (rev 996)
+++ pkg/ProbABEL/tests/Makefile.am	2012-11-03 14:07:48 UTC (rev 997)
@@ -4,17 +4,30 @@
 
 tests_files = check_probabel.pl_chunk.sh
 verified_results = verified_results/height_add.out.txt	\
- verified_results/height_2df.out.txt
+ verified_results/height_ngp2_add.out.txt			\
+ verified_results/height_ngp2_2df.out.txt			\
+ verified_results/height_ngp2_domin.out.txt			\
+ verified_results/height_ngp2_over_domin.out.txt		\
+ verified_results/height_ngp2_recess.out.txt
+
 dose_files = chr1.chunk1.dose chr1.chunk2.dose chr2.chunk1.dose	\
  chr2.chunk2.dose chr1.dose chr2.dose
+
 prob_files = chr1.chunk1.prob chr1.chunk2.prob chr2.chunk1.prob	\
  chr2.chunk2.prob chr1.prob chr2.prob
+
 map_files = chr1.chunk1.map chr1.chunk2.map chr2.chunk1.map	\
  chr2.chunk2.map chr1.map chr2.map
+
 info_files = chr1.chunk1.info chr1.chunk2.info chr2.chunk1.info	\
  chr2.chunk2.info chr1.info chr2.info
+
 output_files = height_add.out.txt height_2df.out.txt			\
- height_domin.out.txt height_over_domin.out.txt height_recess.out.txt
+ height_domin.out.txt height_over_domin.out.txt height_recess.out.txt	\
+ height_ngp2_recess.out.txt height_ngp2_domin.out.txt			\
+ height_ngp2_over_domin.out.txt height_ngp2_2df.out.txt			\
+ height_ngp2_add.out.txt
+
 other_files = probabel.pl probabel_config.cfg height.PHE
 
 

Modified: pkg/ProbABEL/tests/check_probabel.pl_chunk.sh
===================================================================
--- pkg/ProbABEL/tests/check_probabel.pl_chunk.sh	2012-11-01 21:38:51 UTC (rev 996)
+++ pkg/ProbABEL/tests/check_probabel.pl_chunk.sh	2012-11-03 14:07:48 UTC (rev 997)
@@ -5,6 +5,7 @@
 
 echo "Testing probabel.pl..."
 
+# -------- Set some default paths and file names -------
 if [ -z ${srcdir} ]; then
     srcdir="."
 fi
@@ -39,80 +40,107 @@
     >> probabel_config.cfg
 
 
-# ------------------ No chunks test -------------------
-# Split the dose, prob and info files up into two chromosomes with some
-# chunks
-awk '{print $1,$2,$3,$4}'    $dosefile > chr1.dose
-awk '{print $1,$2,$5,$6,$7}' $dosefile > chr2.dose
+# ---------- function definitions ----------
+function prepare_input
+{
+    if [ "$1" == "nochunk" ]; then
+	# ------------------ No chunks test -------------------
+	# Split the dose, prob and info files up into two chromosomes
+	# with some  chunks
+	awk '{print $1,$2,$3,$4}'    $dosefile > chr1.dose
+	awk '{print $1,$2,$5,$6,$7}' $dosefile > chr2.dose
 
-awk '{print $1,$2,$3,$4,$5,$6}'          $probfile > chr1.prob
-awk '{print $1,$2,$7,$8,$9,$10,$11,$12}' $probfile > chr2.prob
+	awk '{print $1,$2,$3,$4,$5,$6}'          $probfile > chr1.prob
+	awk '{print $1,$2,$7,$8,$9,$10,$11,$12}' $probfile > chr2.prob
 
-sed -n '1,3p' $infofile >  chr1.info
-sed -n '1p'   $infofile >  chr2.info
-sed -n '4,6p' $infofile >> chr2.info
+	sed -n '1,3p' $infofile >  chr1.info
+	sed -n '1p'   $infofile >  chr2.info
+	sed -n '4,6p' $infofile >> chr2.info
 
-sed -n '1,3p' $mapfile > chr1.map
-sed -n '1p'   $mapfile >  chr2.map
-sed -n '4,6p' $mapfile >> chr2.map
+	sed -n '1,3p' $mapfile > chr1.map
+	sed -n '1p'   $mapfile >  chr2.map
+	sed -n '4,6p' $mapfile >> chr2.map
 
-# Run an analysis on dosage data
-outfile="height_add.out.txt"
-rm -f $outfile
-./probabel.pl 1 2 linear TestCohortNoChunk --additive height
-echo "Checking output using dosages without chunks..."
-diff $outfile $results/$outfile
+	WithOrWithout="without"
+    elif [ "$1" == "chunk" ]; then
+	# ------------------ Chunks test ----------------------
+	# Split the dose and info files up into two chromosomes with
+	# some chunks
+	awk '{print $1,$2,$3}'    $dosefile > chr1.chunk1.dose
+	awk '{print $1,$2,$4}'    $dosefile > chr1.chunk2.dose
+	awk '{print $1,$2,$5,$6}' $dosefile > chr2.chunk1.dose
+	awk '{print $1,$2,$7}'    $dosefile > chr2.chunk2.dose
 
+	awk '{print $1,$2,$3,$4}'        $probfile > chr1.chunk1.prob
+	awk '{print $1,$2,$5,$6}'        $probfile > chr1.chunk2.prob
+	awk '{print $1,$2,$7,$8,$9,$10}' $probfile > chr2.chunk1.prob
+	awk '{print $1,$2,$11,$12}'      $probfile > chr2.chunk2.prob
 
-# Run an analysis on probabilities
-outfile="height_2df.out.txt"
-rm -f $outfile
-./probabel.pl 1 2 linear TestCohortNoChunk --allmodels height
-echo "Checking output using probabilities without chunks..."
-diff $outfile $results/$outfile
+	sed -n '1,2p' $infofile >  chr1.chunk1.info
+	sed -n '1p'   $infofile >  chr1.chunk2.info
+	sed -n '3p'   $infofile >> chr1.chunk2.info
+	sed -n '1p'   $infofile >  chr2.chunk1.info
+	sed -n '4,5p' $infofile >> chr2.chunk1.info
+	sed -n '1p'   $infofile >  chr2.chunk2.info
+	sed -n '6p'   $infofile >> chr2.chunk2.info
 
+	sed -n '1,2p' $mapfile >  chr1.chunk1.map
+	sed -n '1p'   $mapfile >  chr1.chunk2.map
+	sed -n '3p'   $mapfile >> chr1.chunk2.map
+	sed -n '1p'   $mapfile >  chr2.chunk1.map
+	sed -n '4,5p' $mapfile >> chr2.chunk1.map
+	sed -n '1p'   $mapfile >  chr2.chunk2.map
+	sed -n '6p'   $mapfile >> chr2.chunk2.map
 
+	WithOrWithout="with"
+    else
+	echo "Run this function with one of these arguments: 'chunk'
+	or 'nochunk'."
+	exit 1
+    fi
 
-# ------------------ Chunks test ----------------------
-# Split the dose and info files up into two chromosomes with some
-# chunks
-awk '{print $1,$2,$3}'    $dosefile > chr1.chunk1.dose
-awk '{print $1,$2,$4}'    $dosefile > chr1.chunk2.dose
-awk '{print $1,$2,$5,$6}' $dosefile > chr2.chunk1.dose
-awk '{print $1,$2,$7}'    $dosefile > chr2.chunk2.dose
+}
 
-awk '{print $1,$2,$3,$4}'        $probfile > chr1.chunk1.prob
-awk '{print $1,$2,$5,$6}'        $probfile > chr1.chunk2.prob
-awk '{print $1,$2,$7,$8,$9,$10}' $probfile > chr2.chunk1.prob
-awk '{print $1,$2,$11,$12}'      $probfile > chr2.chunk2.prob
 
-sed -n '1,2p' $infofile >  chr1.chunk1.info
-sed -n '1p'   $infofile >  chr1.chunk2.info
-sed -n '3p'   $infofile >> chr1.chunk2.info
-sed -n '1p'   $infofile >  chr2.chunk1.info
-sed -n '4,5p' $infofile >> chr2.chunk1.info
-sed -n '1p'   $infofile >  chr2.chunk2.info
-sed -n '6p'   $infofile >> chr2.chunk2.info
+function run_test
+{
+    # Run an analysis on dosage data
+    outfile="height_add.out.txt"
+    rm -f $outfile
+    ./probabel.pl 1 2 linear TestCohortChunk --additive height
+    echo "Checking output using dosages $WithOrWithout chunks..."
+    diff $outfile $results/$outfile
 
-sed -n '1,2p' $mapfile >  chr1.chunk1.map
-sed -n '1p'   $mapfile >  chr1.chunk2.map
-sed -n '3p'   $mapfile >> chr1.chunk2.map
-sed -n '1p'   $mapfile >  chr2.chunk1.map
-sed -n '4,5p' $mapfile >> chr2.chunk1.map
-sed -n '1p'   $mapfile >  chr2.chunk2.map
-sed -n '6p'   $mapfile >> chr2.chunk2.map
+    # Run an analysis on probabilities
+    outfilelist[1]="height_ngp2_2df.out.txt"
+    outfilelist[2]="height_ngp2_recess.out.txt"
+    outfilelist[3]="height_ngp2_over_domin.out.txt"
+    outfilelist[4]="height_ngp2_domin.out.txt"
+    outfilelist[5]="height_ngp2_add.out.txt"
+    for i in {1..5}; do
+	rm -f ${outfilelist[$i]}
+    done
 
-# Run an analysis on dosage data
-outfile="height_add.out.txt"
-rm -f $outfile
-./probabel.pl 1 2 linear TestCohortChunk --additive height
-echo "Checking output using dosages with chunks..."
-diff $outfile $results/$outfile
+    ./probabel.pl 1 2 linear TestCohortNoChunk --allmodels height -o _ngp2
+    echo "Checking output using probabilities $WithOrWithout chunks..."
+    for i in {1..5}; do
+	echo -n "  Verifying ${outfilelist[$i]}"
+	diff ${outfilelist[$i]} $results/${outfilelist[$i]}
+	if [ $? == 0 ]; then
+	    echo -e "\t\tOK"
+	else
+	    echo -e "\t\tFAILED"
+	fi
+    done
+}
 
+# ---------- Continuation of the main function ----------
+prepare_input nochunk
 
-# Run an analysis on probabilities
-outfile="height_2df.out.txt"
-rm -f $outfile
-./probabel.pl 1 2 linear TestCohortNoChunk --allmodels height
-echo "Checking output using probabilities without chunks:"
-diff $outfile $results/$outfile
+run_test
+echo "-------------------- Finished check without chunks --------------------"
+
+prepare_input chunk
+
+run_test
+echo "-------------------- Finished check with chunks --------------------"

Deleted: pkg/ProbABEL/tests/verified_results/height_2df.out.txt
===================================================================
--- pkg/ProbABEL/tests/verified_results/height_2df.out.txt	2012-11-01 21:38:51 UTC (rev 996)
+++ pkg/ProbABEL/tests/verified_results/height_2df.out.txt	2012-11-03 14:07:48 UTC (rev 997)
@@ -1,6 +0,0 @@
-name A1 A2 Freq1 MAF Quality Rsq n Mean_predictor_allele chrom position beta_SNP_A1A2 beta_SNP_A1A1 sebeta_SNP_A1A2 sebeta_SNP_A1A1 loglik
-rs7247199 G A 0.5847 0.415 0.9299 0.8666 182 0.333668 1 204938 615.049 1057.49 -539.487 1040.54 -428.817
-rs8102643 C T 0.5847 0.415 0.9308 0.8685 181 0.808177 1 207859 -820.352 1392.51 -646.025 1054.18 -426.797
-rs8102615 T A 0.5006 0.4702 0.9375 0.8932 182 0.8665 2 211970 -239.797 1308.51 -246.735 1102.06 -428.924
-rs8105536 G A 0.5783 0.4213 0.9353 0.8832 182 0.791701 2 212033 782.576 1474.59 604.391 1064.24 -428.789
-rs2312724 T C 0.9122 0.0877 0.9841 0.9232 182 0.933464 2 217034 1180.53 1104.39 912.574 1003.85 -427.981

Added: pkg/ProbABEL/tests/verified_results/height_ngp2_2df.out.txt
===================================================================
--- pkg/ProbABEL/tests/verified_results/height_ngp2_2df.out.txt	                        (rev 0)
+++ pkg/ProbABEL/tests/verified_results/height_ngp2_2df.out.txt	2012-11-03 14:07:48 UTC (rev 997)
@@ -0,0 +1,6 @@
+name A1 A2 Freq1 MAF Quality Rsq n Mean_predictor_allele chrom position beta_SNP_A1A2 beta_SNP_A1A1 sebeta_SNP_A1A2 sebeta_SNP_A1A1 loglik
+rs7247199 G A 0.5847 0.415 0.9299 0.8666 182 0.333668 1 204938 615.049 1057.49 -539.487 1040.54 -428.817
+rs8102643 C T 0.5847 0.415 0.9308 0.8685 181 0.808177 1 207859 -820.352 1392.51 -646.025 1054.18 -426.797
+rs8102615 T A 0.5006 0.4702 0.9375 0.8932 182 0.8665 2 211970 -239.797 1308.51 -246.735 1102.06 -428.924
+rs8105536 G A 0.5783 0.4213 0.9353 0.8832 182 0.791701 2 212033 782.576 1474.59 604.391 1064.24 -428.789
+rs2312724 T C 0.9122 0.0877 0.9841 0.9232 182 0.933464 2 217034 1180.53 1104.39 912.574 1003.85 -427.981

Added: pkg/ProbABEL/tests/verified_results/height_ngp2_add.out.txt
===================================================================
--- pkg/ProbABEL/tests/verified_results/height_ngp2_add.out.txt	                        (rev 0)
+++ pkg/ProbABEL/tests/verified_results/height_ngp2_add.out.txt	2012-11-03 14:07:48 UTC (rev 997)
@@ -0,0 +1,6 @@
+name A1 A2 Freq1 MAF Quality Rsq n Mean_predictor_allele chrom position beta_SNP_addA1 sebeta_SNP_addA1 loglik
+rs7247199 G A 0.5847 0.415 0.9299 0.8666 182 0.333668 1 204938 20.3848 76.6301 -428.98
+rs8102643 C T 0.5847 0.415 0.9308 0.8685 181 0.808177 1 207859 -25.7626 86.4878 -426.965
+rs8102615 T A 0.5006 0.4702 0.9375 0.8932 182 0.8665 2 211970 -40.7723 102.559 -428.936
+rs8105536 G A 0.5783 0.4213 0.9353 0.8832 182 0.791701 2 212033 35.361 81.7867 -428.921
+rs2312724 T C 0.9122 0.0877 0.9841 0.9232 182 0.933464 2 217034 -112.234 141.168 -428.694

Added: pkg/ProbABEL/tests/verified_results/height_ngp2_domin.out.txt
===================================================================
--- pkg/ProbABEL/tests/verified_results/height_ngp2_domin.out.txt	                        (rev 0)
+++ pkg/ProbABEL/tests/verified_results/height_ngp2_domin.out.txt	2012-11-03 14:07:48 UTC (rev 997)
@@ -0,0 +1,6 @@
+name A1 A2 Freq1 MAF Quality Rsq n Mean_predictor_allele chrom position beta_SNP_domA1 sebeta_SNP_domA1 loglik
+rs7247199 G A 0.5847 0.415 0.9299 0.8666 182 0.333668 1 204938 33.0595 115.333 -428.974
+rs8102643 C T 0.5847 0.415 0.9308 0.8685 181 0.808177 1 207859 -178.128 417.233 -426.917
+rs8102615 T A 0.5006 0.4702 0.9375 0.8932 182 0.8665 2 211970 -272.156 640.297 -428.924
+rs8105536 G A 0.5783 0.4213 0.9353 0.8832 182 0.791701 2 212033 188.396 361.092 -428.877
+rs2312724 T C 0.9122 0.0877 0.9841 0.9232 182 0.933464 2 217034 285.007 898.508 -428.965

Added: pkg/ProbABEL/tests/verified_results/height_ngp2_over_domin.out.txt
===================================================================
--- pkg/ProbABEL/tests/verified_results/height_ngp2_over_domin.out.txt	                        (rev 0)
+++ pkg/ProbABEL/tests/verified_results/height_ngp2_over_domin.out.txt	2012-11-03 14:07:48 UTC (rev 997)
@@ -0,0 +1,6 @@
+name A1 A2 Freq1 MAF Quality Rsq n Mean_predictor_allele chrom position beta_SNP_odom sebeta_SNP_odom loglik
+rs7247199 G A 0.5847 0.415 0.9299 0.8666 182 0.333668 1 204938 80.0816 231.105 -428.955
+rs8102643 C T 0.5847 0.415 0.9308 0.8685 181 0.808177 1 207859 28.4979 142.757 -426.989
+rs8102615 T A 0.5006 0.4702 0.9375 0.8932 182 0.8665 2 211970 51.4168 142.042 -428.95
+rs8105536 G A 0.5783 0.4213 0.9353 0.8832 182 0.791701 2 212033 -50.7539 145.509 -428.954
+rs2312724 T C 0.9122 0.0877 0.9841 0.9232 182 0.933464 2 217034 188.854 172.317 -428.404

Added: pkg/ProbABEL/tests/verified_results/height_ngp2_recess.out.txt
===================================================================
--- pkg/ProbABEL/tests/verified_results/height_ngp2_recess.out.txt	                        (rev 0)
+++ pkg/ProbABEL/tests/verified_results/height_ngp2_recess.out.txt	2012-11-03 14:07:48 UTC (rev 997)
@@ -0,0 +1,6 @@
+name A1 A2 Freq1 MAF Quality Rsq n Mean_predictor_allele chrom position beta_SNP_recA1 sebeta_SNP_recA1 loglik
+rs7247199 G A 0.5847 0.415 0.9299 0.8666 182 0.333668 1 204938 51.0128 227.445 -428.991
+rs8102643 C T 0.5847 0.415 0.9308 0.8685 181 0.808177 1 207859 -28.2735 108.063 -426.975
+rs8102615 T A 0.5006 0.4702 0.9375 0.8932 182 0.8665 2 211970 -45.9706 119.627 -428.941
+rs8105536 G A 0.5783 0.4213 0.9353 0.8832 182 0.791701 2 212033 42.3583 105.005 -428.933
+rs2312724 T C 0.9122 0.0877 0.9841 0.9232 182 0.933464 2 217034 -147.318 156.768 -428.566



More information about the Genabel-commits mailing list